type
  TBunch = record
    id, count: longint;
  end;

var
  a, b, c: TBunch;

procedure swap (var a, b: TBunch);
var
  t: TBunch;
begin
  t := a; a := b; b := t;
end;

begin  
  read(a.count, b.count, c.count);
  a.id := 1; b.id := 2; c.id := 3;
  if b.count > c.count then swap (b, c);
  if a.count > b.count then swap (a, b);
  if b.count > c.count then swap (b, c);
  if a.count = b.count then
    writeln(2)
  else begin
    writeln(1);
    if b.count = c.count then
      writeln(2)
    else
      writeln(1);      
  end;
end.
